
function [idx2] = drawall(pos,idx,Ec)

figure 
hold on
% draw the links of the plant network
ii = sqrt(-1);
[~,n] = size(idx);

    for k = 1 : n
        
        i = idx(1,k);
        j = idx(2,k);    
        plot( [pos(i,1) + ii*pos(i,2), pos(j,1) + ii*pos(j,2)], 'b', 'LineWidth', 2.5 );
        
    end

% draw the nodes
scatter(pos(:,1),pos(:,2),150,'k','filled')
h = get(gcf,'CurrentAxes');
set(h, 'FontName', 'cmr10', 'FontSize', 18) 
axis off

% compute the Laplacian of the controller Lc
Lc = Ec*Ec';
% S2= floor((nnz(Lc) - N)/2);
% index2 = zeros(S2,2);

%%find indices of connected nodes in the controller
c2=1;
for i=1:size(Lc,1)
    for j=i+1:size(Lc,2)
        if (Lc(i,j)~=0)
            index2(c2,:)=[i,j];
            c2 = c2+1;
        end 
    end
end
idx2=index2';
%% draw links
[~,n] = size(idx2);
for k = 1 : n
    i = idx2(1,k);
    j = idx2(2,k);    
    plot( [pos(i,1) + ii*pos(i,2), pos(j,1) + ii*pos(j,2)], 'r', 'LineWidth', 2.5 );
end
hold off
axis off;
clear index2
